package com.iformall.domain.po;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;

@Table(name = "wx_car_pay_record")
public class WxCarPayRecord implements Serializable {
	private static final long serialVersionUID = 1243232432423L;
	@Id
	private Long id;
	private String tenantId;
	private Integer vendorType;
	private String synId;
	private String parkId;
	private String parkName;
	private String userType;
	private String plateNumber;
	private Date entranceTime;
	private Date exitTime;
	private String fee;
	private Date feeTime;
	private String coupon;
	private String couponCode;
	private String fixParkingId;
	private String remainingDays;
	private String discountAmount;
	private String paidServiceFee;
	private String phone;
	private Date createDate;
	private Date updateDate;
	private Long stayedTime;

	@Transient
	@io.swagger.annotations.ApiModelProperty(value="开始日期",name="startDate")
	private String startDate;
	@Transient
	@io.swagger.annotations.ApiModelProperty(value="结束日期",name="endDate")
	private String endDate;
	@Transient
	@io.swagger.annotations.ApiModelProperty(value="是否缴费",name="isPay")
	private Integer isPay;

	public Date getFeeTime() {
		return feeTime;
	}

	public void setFeeTime(Date feeTime) {
		this.feeTime = feeTime;
	}

	public Long getStayedTime() {
		return stayedTime;
	}

	public void setStayedTime(Long stayedTime) {
		this.stayedTime = stayedTime;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getEndDate() {
		return endDate;
	}

	public void setEndDate(String endDate) {
		this.endDate = endDate;
	}

	public Integer getIsPay() {
		return isPay;
	}

	public void setIsPay(Integer isPay) {
		this.isPay = isPay;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public Integer getVendorType() {
		return vendorType;
	}

	public void setVendorType(Integer vendorType) {
		this.vendorType = vendorType;
	}

	public String getSynId() {
		return synId;
	}

	public void setSynId(String synId) {
		this.synId = synId;
	}

	public String getParkId() {
		return parkId;
	}

	public void setParkId(String parkId) {
		this.parkId = parkId;
	}

	public String getParkName() {
		return parkName;
	}

	public void setParkName(String parkName) {
		this.parkName = parkName;
	}

	public String getUserType() {
		return userType;
	}

	public void setUserType(String userType) {
		this.userType = userType;
	}

	public String getPlateNumber() {
		return plateNumber;
	}

	public void setPlateNumber(String plateNumber) {
		this.plateNumber = plateNumber;
	}

	public Date getEntranceTime() {
		return entranceTime;
	}

	public void setEntranceTime(Date entranceTime) {
		this.entranceTime = entranceTime;
	}

	public Date getExitTime() {
		return exitTime;
	}

	public void setExitTime(Date exitTime) {
		this.exitTime = exitTime;
	}

	public String getFee() {
		return fee;
	}

	public void setFee(String fee) {
		this.fee = fee;
	}

	public String getCoupon() {
		return coupon;
	}

	public void setCoupon(String coupon) {
		this.coupon = coupon;
	}


	public String getCouponCode() {
		return couponCode;
	}

	public void setCouponCode(String couponCode) {
		this.couponCode = couponCode;
	}

	public String getFixParkingId() {
		return fixParkingId;
	}

	public void setFixParkingId(String fixParkingId) {
		this.fixParkingId = fixParkingId;
	}

	public String getRemainingDays() {
		return remainingDays;
	}

	public void setRemainingDays(String remainingDays) {
		this.remainingDays = remainingDays;
	}

	public String getDiscountAmount() {
		return discountAmount;
	}

	public void setDiscountAmount(String discountAmount) {
		this.discountAmount = discountAmount;
	}

	public String getPaidServiceFee() {
		return paidServiceFee;
	}

	public void setPaidServiceFee(String paidServiceFee) {
		this.paidServiceFee = paidServiceFee;
	}

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public Date getUpdateDate() {
		return updateDate;
	}

	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
}
